gslbservicegroup_gslbservicegroupmember_binding
Binding object showing the gslbservicegroupmember that can be bound to gslbservicegroup.
Properties
(click to see Operations )
| Name | Data Type | Permissions | Description |
|---|---|---|---|
| servername | <String> | Read-write | Name of the server to which to bind the service group.
Minimum length = 1
|
| weight | <Integer> | Read-write | Weight to assign to the servers in the service group. Specifies the capacity of the servers relative to the other servers in the load balancing configuration. The higher the weight, the higher the percentage of requests sent to the service.
Minimum value = 1
Maximum value = 100
|
| servicegroupname | <String> | Read-write | Name of the GSLB service group.
Minimum length = 1
|
| state | <String> | Read-write | Initial state of the GSLB service group.
Default value: ENABLED
Possible values = ENABLED, DISABLED
|
| hashid | <Integer> | Read-write | The hash identifier for the service. This must be unique for each service. This parameter is used by hash based load balancing methods.
Minimum value = 1
|
| port | <Integer> | Read-write | Server port number.
Range 1 - 65535
* in CLI is represented as 65535 in NITRO API
|
| publicport | <Integer> | Read-write | The public port associated with the GSLB service's public IP address. The port is mapped to the service's private port number. Applicable to the local GSLB service. Optional. |
| order | <Integer> | Read-write | Order number to be assigned to the gslb servicegroup member.
Minimum value = 1
Maximum value = 8192
|
| ip | <String> | Read-write | IP Address. |
| publicip | <String> | Read-write | The public IP address that a NAT device translates to the GSLB service's private IP address. Optional.
Minimum length = 1
|
| siteprefix | <String> | Read-write | The site's prefix string. When the GSLB service group is bound to a GSLB virtual server, a GSLB site domain is generated internally for each bound serviceitem-domain pair by concatenating the site prefix of the service item and the name of the domain. If the special string NONE is specified, the site-prefix string is unset. When implementing HTTP redirect site persistence, the Citrix ADC redirects GSLB requests to GSLB services by using their site domains. |
| statechangetimesec | <String> | Read-only | Time when last state change occurred. Seconds part. |
| delay | <Integer> | Read-only | The time allowed (in seconds) for a graceful shutdown. During this period, new connections or requests will continue to be sent to this service for clients who already have a persistent session on the system. Connections or requests from fresh or new clients who do not yet have a persistence sessions on the system will not be sent to the service. Instead, they will be load balanced among other available services. After the delay time expires, no new requests or connections will be sent to the service. |
| gslbthreshold | <Integer> | Read-only | Indicates if gslb svc has reached threshold. |
| tickssincelaststatechange | <Integer> | Read-only | Time in 10 millisecond ticks since the last state change. |
| orderstr | <String> | Read-only | Order number in string form assigned to the gslb servicegroup member. |
| trofsdelay | <Integer> | Read-only | Delay before moving to TROFS. |
| svrstate | <String> | Read-only | The state of the GSLB service.
Possible values = UP, DOWN, UNKNOWN, BUSY, OUT OF SERVICE, GOING OUT OF SERVICE, DOWN WHEN GOING OUT OF SERVICE, NS_EMPTY_STR, Unknown, DISABLED
|
| threshold | <String> | Read-only | .
Possible values = ABOVE, BELOW
|
| preferredlocation | <String> | Read-only | Prefered location. |
| graceful | <String> | Read-only | Wait for all existing connections to the service to terminate before shutting down the service.
Default value: NO
Possible values = YES, NO
|
| __count | <Double> | Read-only | count parameter |
Operations
(click to see Properties )
- ADD
- DELETE
- GET
- GET (ALL)
- COUNT
Some options that you can use for each operations:
-
Getting warnings in response: NITRO allows you to get warnings in an operation by specifying the 'warning' query parameter as 'yes'. For example, to get warnings while connecting to the NetScaler appliance, the URL is as follows:http:// <netscaler-ip-address> /nitro/v1/config/login?warning=yesIf any, the warnings are displayed in the response payload with the HTTP code '209 X-NITRO-WARNING'.
-
Authenticated access for individual NITRO operations: NITRO allows you to logon to the NetScaler appliance to perform individual operations. You can use this option instead of creating a NITRO session (using the login object) and then using that session to perform all operations,To do this, you must specify the username and password in the request header of the NITRO request as follows:X-NITRO-USER: <username>X-NITRO-PASS: <password>Note: In such cases, make sure that the request header DOES not include the following:Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
*Note: * Mandatory parameters are marked in red and placeholder content is marked in green
add
URL: http:// <netscaler-ip-address /nitro/v1/config/gslbservicegroup_gslbservicegroupmember_binding HTTP Method: PUT
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Content-Type:application/json
Request Payload:
{
"gslbservicegroup_gslbservicegroupmember_binding":{
<b>"servicegroupname":<String_value>,
</b>"ip":<String_value>,
"servername":<String_value>,
"port":<Integer_value>,
"weight":<Integer_value>,
"state":<String_value>,
"hashid":<Integer_value>,
"publicip":<String_value>,
"publicport":<Integer_value>,
"siteprefix":<String_value>,
"order":<Integer_value>
}}
Response: HTTP Status Code on Success: 201 Created
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
delete
URL: http:// <netscaler-ip-address> /nitro/v1/config/gslbservicegroup_gslbservicegroupmember_binding/ servicegroupname_value<String> Query-parameters: args http:// <netscaler-ip-address> /nitro/v1/config/gslbservicegroup_gslbservicegroupmember_binding/ servicegroupname_value<String> ? args=ip: <String_value> ,servername: <String_value> ,port: <Integer_value>
HTTP Method: DELETE
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
get
URL: http:// <netscaler-ip-address> /nitro/v1/config/gslbservicegroup_gslbservicegroupmember_binding/ servicegroupname_value<String> Query-parameters: filter http:// <netscaler-ip-address> /nitro/v1/config/gslbservicegroup_gslbservicegroupmember_binding/ servicegroupname_value<String> ? filter=property-name1:property-value1,property-name2:property-value2
Use this query-parameter to get the filtered set of gslbservicegroup_gslbservicegroupmember_binding resources configured on NetScaler.Filtering can be done on any of the properties of the resource.
pagination http:// <netscaler-ip-address> /nitro/v1/config/gslbservicegroup_gslbservicegroupmember_binding/ servicegroupname_value<String> ? pagesize=#no;pageno=#no
Use this query-parameter to get the gslbservicegroup_gslbservicegroupmember_binding resources in chunks.
HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{ "gslbservicegroup_gslbservicegroupmember_binding": [ {
"servername":<String_value>,
"weight":<Integer_value>,
"servicegroupname":<String_value>,
"state":<String_value>,
"hashid":<Integer_value>,
"port":<Integer_value>,
"publicport":<Integer_value>,
"order":<Integer_value>,
"ip":<String_value>,
"publicip":<String_value>,
"siteprefix":<String_value>,
"statechangetimesec":<String_value>,
"delay":<Integer_value>,
"gslbthreshold":<Integer_value>,
"tickssincelaststatechange":<Integer_value>,
"orderstr":<String_value>,
"trofsdelay":<Integer_value>,
"svrstate":<String_value>,
"threshold":<String_value>,
"preferredlocation":<String_value>,
"graceful":<String_value>
}]}
get (all)
URL: http:// <netscaler-ip-address> /nitro/v1/config/gslbservicegroup_gslbservicegroupmember_binding HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Query-parameters: bulkbindings http:// <netscaler-ip-address> /nitro/v1/config/gslbservicegroup_gslbservicegroupmember_binding? bulkbindings=yes
NITRO allows you to fetch bindings in bulk.
Note: get (all) method can be used only in conjuction with bulkbindings query parameter.
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{ "gslbservicegroup_gslbservicegroupmember_binding": [ {
"servername":<String_value>,
"weight":<Integer_value>,
"servicegroupname":<String_value>,
"state":<String_value>,
"hashid":<Integer_value>,
"port":<Integer_value>,
"publicport":<Integer_value>,
"order":<Integer_value>,
"ip":<String_value>,
"publicip":<String_value>,
"siteprefix":<String_value>,
"statechangetimesec":<String_value>,
"delay":<Integer_value>,
"gslbthreshold":<Integer_value>,
"tickssincelaststatechange":<Integer_value>,
"orderstr":<String_value>,
"trofsdelay":<Integer_value>,
"svrstate":<String_value>,
"threshold":<String_value>,
"preferredlocation":<String_value>,
"graceful":<String_value>
}]}
count
URL: http:// <netscaler-ip-address> /nitro/v1/config/gslbservicegroup_gslbservicegroupmember_binding/ servicegroupname_value<String> ? count=yes HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{"gslbservicegroup_gslbservicegroupmember_binding": [ { "__count": "#no"} ] }